package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.locale.Resources;

import org.bidib.wizard.comm.BidibStatus;

public abstract class Function implements Cloneable {
    private BidibStatus action = null;

    @Override
    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }

    @Override
    public boolean equals(Object obj) {
        return obj != null && toString().equals(obj.toString());
    }

    public BidibStatus getAction() {
        return action;
    }

    public void setAction(BidibStatus action) {
        this.action = action;
    }

    public abstract String getDebugString();

    @Override
    public String toString() {
        return Resources.getString(getClass(), "title");
    }
}
