package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.InputStatus;
import org.bidib.wizard.mvc.main.model.InputPort;

public class InputFunction extends SystemFunction {
    private InputPort input = null;

    public InputFunction() {
        setAction(InputStatus.QUERY0);
    }

    public InputFunction(InputStatus action, InputPort input) {
        setAction(action);
        setInput(input);
    }

    public InputStatus getAction() {
        return (InputStatus) super.getAction();
    }

    public void setAction(InputStatus action) {
        super.setAction(action);
    }

    public InputPort getInput() {
        return input;
    }

    public void setInput(InputPort input) {
        this.input = input;
    }

    public String getDebugString() {
        int id = 0;

        if (getInput() != null) {
            id = getInput().getId();
        }
        return "Input=" + getAction().name().substring(5) + "? Port=" + id;
    }
}
