package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.ServoPortStatus;
import org.bidib.wizard.mvc.main.model.ServoPort;

public class ServoPortAction extends SimplePortAction {
    public ServoPortAction() {
        setAction(ServoPortStatus.START);
    }

    public ServoPortAction(int delay, ServoPort servoPort, int value) {
        setAction(ServoPortStatus.START);
        setDelay(delay);
        setPort(servoPort);
        setValue(value);
    }

    public ServoPortStatus getAction() {
        return (ServoPortStatus) super.getAction();
    }

    public void setAction(ServoPortStatus action) {
        super.setAction(action);
    }

    public ServoPort getPort() {
        return (ServoPort) super.getPort();
    }

    public void setPort(ServoPort port) {
        super.setPort(port);
    }

    public String getDebugString() {
        int id = 0;

        if (getPort() != null) {
            id = getPort().getId();
        }
        return "@" + getDelay() + " Servo:" + String.format("%02d", id) + "->" + getValue();
    }
}
