package org.bidib.wizard.mvc.main.view.panel.listener;

import org.bidib.wizard.mvc.main.model.Node;

public interface NodeListListener extends LabelChangedListener {
    void cvProgrammer(Node node, int x, int y);

    void enableAddressMessages(Node node);

    void enableDccStart(Node node);

    void enableExternalStart(Node node);

    void enableFeedbackMessages(Node node);

    void enableKeyMessages(Node node);

    void exportNode(Node node);

    void firmwareUpdate(Node node, int x, int y);

    void identify(Node node);

    void importNode(Node node);

    void loco(Node node, int x, int y);

    void nodeDetails(Node node, int x, int y);

    void saveNode(Node node);
}
