package org.bidib.wizard.mvc.preferences.model;

import gnu.io.CommPortIdentifier;

public class CommPort {

    private final CommPortIdentifier identifier;

    public CommPort(CommPortIdentifier identifier) {
        this.identifier = identifier;
    }

    @Override
    public boolean equals(Object o) {
        if (o != null && o instanceof CommPort) {
            return toString().equals(o.toString());
        }
        return false;
    }

    public CommPortIdentifier getIdentifier() {
        return identifier;
    }

    @Override
    public int hashCode() {
        return toString().hashCode();
    }

    public String toString() {
        if (identifier != null) {
            return identifier.getName();
        }
        return "<none>";
    }
}
