package org.bidib.wizard.mvc.main.model;

import java.util.HashMap;

public abstract class ChildLabels extends Labels {
    private class ChildNodeMap extends HashMap<Long, ChildLabelMap> {
        private static final long serialVersionUID = 2528879609918755724L;
    }

    public ChildLabels() {
        labelMap = new ChildNodeMap();
    }

    public String getLabel(long uuid, int id) {
        String result = null;
        ChildLabelMap childLabelMap = ((ChildNodeMap) labelMap).get(uuid);

        if (childLabelMap != null) {
            result = childLabelMap.get(id);
        }
        return result;
    }

    public void removeLabel(long uuid, int id) {
        ChildLabelMap childLabelMap = ((ChildNodeMap) labelMap).get(uuid);

        if (childLabelMap != null) {
            childLabelMap.remove(id);
            modified = true;
        }
    }

    public void setLabel(long uuid, int id, String value) {
        ChildLabelMap childLabelMap = ((ChildNodeMap) labelMap).get(uuid);

        if (childLabelMap == null) {
            childLabelMap = new ChildLabelMap();
            ((ChildNodeMap) labelMap).put(uuid, childLabelMap);
        }
        childLabelMap.put(id, value);
        modified = true;
    }
}
