package org.bidib.wizard.mvc.main.model;

import java.util.HashMap;

public class NodeLabels extends Labels {
    private class NodeMap extends HashMap<Long, String> {
        private static final long serialVersionUID = 2663545128402137687L;
    }

    public NodeLabels() {
        labelMap = new NodeMap();
    }

    public String getLabel(long uuid) {
        return ((NodeMap) labelMap).get(uuid);
    }

    public void removeLabel(long uuid) {
        ((NodeMap) labelMap).remove(uuid);
        modified = true;
    }

    public void setLabel(long uuid, String value) {
        ((NodeMap) labelMap).put(uuid, value);
        modified = true;
    }
}
