package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.FlagStatus;
import org.bidib.wizard.mvc.main.model.Flag;

public class FlagFunction extends SystemFunction {
    private Flag flag = null;

    public FlagFunction() {
        setAction(FlagStatus.CLEAR);
    }

    public FlagFunction(FlagStatus action, Flag flag) {
        setAction(action);
        setFlag(flag);
    }

    public FlagStatus getAction() {
        return (FlagStatus) super.getAction();
    }

    public void setAction(FlagStatus action) {
        super.setAction(action);
    }

    public Flag getFlag() {
        return flag;
    }

    public void setFlag(Flag flag) {
        this.flag = flag;
    }

    public String getDebugString() {
        int id = 0;

        if (getFlag() != null) {
            id = getFlag().getId();
        }
        return "Flag" + getAction().name().substring(0, 1) + getAction().name().substring(1).toLowerCase() + id;
    }
}
